Skip to main content
`Ctrl`+`K`

# PetscCheckDupsInt

Checks if an `PetscInt` array has duplicates

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCheckDupsInt(PetscInt n, const PetscInt X[], PetscBool *dups)

Not Collective

## Input Parameters

- n - number of values in the array

- X - array of integers

## Output Parameter

- dups - True if the array has dups, otherwise false

## See Also

`PetscSortRemoveDupsInt()`, `PetscSortedCheckDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages